/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package souboryvyjimky;

import java.util.*;

/**
 *
 * @author Dana Nejedlová <dana.nejedlova at tul.cz>
 */
public class CislaKlavesnice {

    static Scanner sc = new Scanner(System.in);

    public static int zadejCislo(int limit) {
        int i;
        while (true) { // nekonečný cyklus
            try { // výkonný blok
                System.out.print("Zadejte číslo: ");
                i = sc.nextInt();
                sc.nextLine();
                if (i > limit) {
                    throw new CisloMimoRozsah(limit);
                }
                return i; // výskok z nekonečného cyklu, když není chyba
            } catch (CisloMimoRozsah e) { // chybový kód – ošetření výjimky
                System.out.println(e.getMessage());
            } catch (Exception e) { // chybový kód – ošetření výjimky
                System.out.println("Chybně zadané číslo!");
                sc.nextLine();
            }
        }
    }
}
